# Trait nom::Offset

source · [−]

    pub trait Offset {
        fn offset(&self, second: &Self) -> usize;
    }

Expand description

Useful functions to calculate the offset between slices and show a hexdump of a slice

## Required Methods

source

#### fn offset(&self, second: &Self) -> usize

Offset between the first byte of self and the first byte of the argument

## Implementations on Foreign Types

source

### impl Offset for [u8]

source

#### fn offset(&self, second: &Self) -> usize

source

### impl<'a> Offset for &'a [u8]

source

#### fn offset(&self, second: &Self) -> usize

source

### impl Offset for str

source

#### fn offset(&self, second: &Self) -> usize

source

### impl<'a> Offset for &'a str

source

#### fn offset(&self, second: &Self) -> usize

## Implementors